### Class

# Aravis FakeCamera

#### Description [src]

    final class Aravis.FakeCamera : GObject.Object
    {
      /* No available fields */
    }

`ArvFakeCamera` is a class that simulate a real camera, which provides methods for the implementation of `ArvFakeDevice` and `ArvFakeStream`.

arv-fake-gv-camera is a GV camera simulator based on this class.

#### Ancestors

- GObject

#### Constructors

###### arv_fake_camera_new

No description available.

###### arv_fake_camera_new_full

No description available.

#### Instance methods

###### arv_fake_camera_check_and_acknowledge_software_trigger

No description available.

###### arv_fake_camera_fill_buffer

Fill a buffer with data from the fake camera.

###### arv_fake_camera_get_acquisition_status

No description available.

###### arv_fake_camera_get_control_channel_privilege

No description available.

###### arv_fake_camera_get_genicam_xml

No description available.

###### arv_fake_camera_get_genicam_xml_url

No description available.

###### arv_fake_camera_get_heartbeat_timeout

No description available.

###### arv_fake_camera_get_payload

No description available.

###### arv_fake_camera_get_sleep_time_for_next_frame

No description available.

###### arv_fake_camera_get_stream_address

No description available.

###### arv_fake_camera_is_in_free_running_mode

No description available.

###### arv_fake_camera_is_in_software_trigger_mode

No description available.

###### arv_fake_camera_read_memory

No description available.

###### arv_fake_camera_read_register

No description available.

###### arv_fake_camera_set_control_channel_privilege

No description available.

###### arv_fake_camera_set_fill_pattern

Sets the fill pattern callback for custom test images.

###### arv_fake_camera_set_inet_address

No description available.

###### arv_fake_camera_set_trigger_frequency

No description available.

###### arv_fake_camera_wait_for_next_frame

No description available.

###### arv_fake_camera_write_memory

No description available.

###### arv_fake_camera_write_register

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AravisFakeCameraClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.